<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">

    <ui:define name="body">
        <s:decorate template="/pdq/pdcConfigTemplate.xhtml">
            <ui:param name="managedBean" value="#{pdqpdc}"/>
            <ui:param name="title"
                      value="#{messages['gazelle.simulator.pam.PDQPatientDemographicConsumer']}"/>
            <ui:define name="sutSelection">
                <s:div styleClass="row" id="configSelectionGrid2">
                    <div class="col-md-4">
                        <ui:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">#{messages['gazelle.HL7Common.Simulator']}</ui:define>
                            <dl>
                                <s:decorate id="manualNameDecoration"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                                    <h:outputText
                                            value="#{messages['gazelle.simulator.pam.SimulatorConfiguration']}"/>
                                </s:decorate>
                                <s:decorate id="manualRecAppDecoration"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.SendingApplication']}
                                    </ui:define>
                                    <h:outputText
                                            value="#{messages['gazelle.simulator.pam.PatientManager']}"/>
                                </s:decorate>
                                <s:decorate id="manualRecFacDecoration"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.SendingFacility']}
                                    </ui:define>
                                    <h:outputText value="#{messages['gazelle.simulator.pam.IHE']}"/>
                                </s:decorate>
                            </dl>
                        </ui:decorate>
                    </div>
                    <div class="col-md-4">
                        <h:graphicImage library="img" name="diag/pdcInitiator.png"/>
                    </div>
                    <div class="col-md-4">
                        <s:decorate template="/layout/panels/_panel_title.xhtml"
                                    rendered="#{pdqpdc.selectedSUT != null}">
                            <ui:define name="panel_title">
                                #{messages['net.ihe.gazelle.PatientManager.SystemUnderTestSUT']})
                            </ui:define>
                            <dl>
                                <s:decorate id="manualNameDecoration2"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                                    <h:outputText value="#{pdqpdc.selectedSUT.name}"/>
                                </s:decorate>
                                <s:decorate id="manualIPDecoration2"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.IpAdress']}</ui:define>
                                    <h:outputText id="hostIP"
                                                  value="#{pdqpdc.selectedSUT.ipAddress}"/>
                                </s:decorate>
                                <s:decorate id="manualPortDecoration2"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.Port']}</ui:define>
                                    <h:outputText value="#{pdqpdc.selectedSUT.port}"/>
                                </s:decorate>
                                <s:decorate id="manualRecAppDecoration2"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.ReceivingApplication']}
                                    </ui:define>
                                    <h:outputText value="#{pdqpdc.selectedSUT.application}"/>
                                </s:decorate>
                                <s:decorate id="manualRecFacDecoration2"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.ReceivingFacility']}
                                    </ui:define>
                                    <h:outputText value="#{pdqpdc.selectedSUT.facility}"/>
                                </s:decorate>
                            </dl>
                        </s:decorate>
                    </div>
                </s:div>
                <!-- system under test selection/display-->
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.SystemUnderTest']}</ui:define>
                        <ui:param name="id" value="sutSelection"/>
                        <h:selectOneMenu value="#{pdqpdc.selectedSUT}" styleClass="form-control gzl-select-text"
                                         rendered="#{pdqpdc.displayCriteriaForm}" id="sutSelection">
                            <s:selectItems
                                    value="#{pdqpdc.availableSystems}"
                                    var="conf"
                                    noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"
                                    label="#{conf.name}"/>
                            <a4j:ajax event="change" for="sutSelection" render="configSelectionGrid2"></a4j:ajax>
                        </h:selectOneMenu>
                        <h:outputText value="#{pdqpdc.selectedSUT.name}"
                                      rendered="#{not pdqpdc.displayCriteriaForm}"/>
                    </s:decorate>
                </div>
            </ui:define>
            <ui:define name="transactionSelection">
                <!-- transaction selection/display -->
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.ActionToPerform']}</ui:define>
                        <ui:param name="id" value="transactionInput"/>
                        <h:selectOneMenu value="#{pdqpdc.selectedTransaction}" id="transactionInput"
                                         styleClass="form-control"
                                         rendered="#{pdqpdc.displayCriteriaForm}">
                            <s:selectItems value="#{pdqpdc.transactions}" var="t"
                                           label="#{t.name}"/>
                            <a4j:ajax event="change" render="criteriaSelectionDiv"/>
                        </h:selectOneMenu>
                        <h:outputText value="#{pdqpdc.selectedTransaction.name}"
                                      rendered="#{not pdqpdc.displayCriteriaForm}"/>
                    </s:decorate>
                </div>
            </ui:define>
            <ui:define name="editQueryParameters">
                <s:decorate template="/pdq/editPDQParameters.xhtml">
                    <ui:param name="managedBean" value="#{pdqpdc}"/>
                    <ui:param name="displayOptions" value="true"/>
                    <ui:define name="additionalParameters">
                        <h2>#{messages['gazelle.patientmanager.PatientAccountNumber']}</h2>
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="anId"/>
                            <ui:define name="label">#{messages['gazelle.patientmanager.AccountNumber']}</ui:define>
                            <h:inputText value="#{pdqpdc.accountNumber.idNumber}" id="anId" styleClass="form-control"/>
                        </s:decorate>
                        <div class="row">
                            <div class="col-md-4">
                                <s:decorate template="/layout/form/_edit.xhtml">
                                    <ui:param name="id" value="andom1"/>
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsNamespace']}
                                    </ui:define>
                                    <h:inputText value="#{pdqpdc.accountNumber.domain.namespaceID}" id="andom1"
                                                 styleClass="form-control"/>
                                </s:decorate>
                            </div>
                            <div class="col-md-4">
                                <s:decorate template="/layout/form/_edit.xhtml">
                                    <ui:param name="id" value="andom2"/>
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsUniversalID']}
                                    </ui:define>
                                    <h:inputText value="#{pdqpdc.accountNumber.domain.universalID}" id="andom2"
                                                 styleClass="form-control"/>
                                </s:decorate>
                            </div>
                            <div class="col-md-4">
                                <s:decorate template="/layout/form/_edit.xhtml">
                                    <ui:param name="id" value="andom3"/>
                                    <ui:define name="label">
                                        #{messages['gazelle.simulator.pam.DomainsUniversalIDType']}
                                    </ui:define>
                                    <h:inputText value="#{pdqpdc.accountNumber.domain.universalIDType}" id="andom3"
                                                 styleClass="form-control"/>
                                </s:decorate>
                            </div>
                        </div>
                    </ui:define>
                    <ui:define name="queryByVisitParameters">
                        <ui:include src="/pdc/editQueryByVisitParameters.xhtml"/>
                    </ui:define>
                </s:decorate>
            </ui:define>
            <ui:define name="displayQueryParameters">
                <s:decorate template="/pdq/displayPDQParameters.xhtml">
                    <ui:param name="managedBean" value="#{pdqpdc}"/>
                    <ui:param name="displayOptions" value="true"/>
                    <ui:define name="additionalParameters">
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_display.xhtml"
                                        rendered="#{not empty pdqpdc.patientCriteria.accountNumber}">
                                <ui:define name="label">#{messages['gazelle.patientmanager.PatientAccountNumber']}
                                </ui:define>
                                <h:outputText value="#{pdqpdc.patientCriteria.accountNumber}"/>
                            </s:decorate>
                        </dl>
                    </ui:define>
                    <ui:define name="queryByVisitParameters">
                        <ui:include src="/pdc/displayQueryByVisitParameters.xhtml"/>
                    </ui:define>
                </s:decorate>
            </ui:define>
            <ui:define name="patientDetails">
                <ui:include src="/pdq/patientDetails.xhtml">
                    <ui:param name="managedBean" value="#{pdqpdc}"/>
                    <ui:define name="tab4Visit">
                        <ui:include src="/visitDetails.xhtml"/>
                    </ui:define>
                </ui:include>
            </ui:define>
            <ui:define name="testReport">
                <ui:include src="/messages/message_table.xhtml">
                    <ui:param name="hl7Messages" value="#{pdqpdc.hl7Messages}"/>
                </ui:include>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>